{$APPTYPE CONSOLE}
var
  fi, fo: TextFile;

  procedure Error;
  begin
    Writeln(fo, 'ERROR');
    CloseFile(fi);
    CloseFile(fo);
    Halt;
  end;

const
  L = 50000;
var
  i, j: Integer;
  fmt, arg: String;
begin
  AssignFile(fi, 'input.txt'); Reset(fi);
  Readln(fi, fmt); Assert(Length(fmt) <= L);
  AssignFile(fo, 'output.txt'); Rewrite(fo);
  i := 1;
  while i <= Length(fmt) do begin
    if fmt[i] = '%' then begin
      Inc(i);
      if i > Length(fmt) then Error;
      case fmt[i] of
        '%': ;
        's': begin
          if Eof(fi) then Error;
          Readln(fi, arg); Assert(Length(arg) <= L);
        end;
        'd': begin
          if Eof(fi) then Error;
          Readln(fi, arg); Assert(Length(arg) <= L);
          if arg = '' then Error;
          for j := 1 to Length(arg) do
            if not (arg[j] in ['0'..'9']) then Error;
        end;
        else
          Error;
      end;
    end;
    Inc(i);
  end;
  if not Eof(fi) then Error;
  Reset(fi); Readln(fi);
  i := 1;
  while i <= Length(fmt) do begin
    if fmt[i] = '%' then begin
      Inc(i);
      case fmt[i] of
        '%': Write(fo, '%');
        's': begin
          Readln(fi, arg);
          Write(fo, arg);
        end;
        'd': begin
          Readln(fi, arg);
          j := 1;
          while (arg[j] = '0') and (j < Length(arg)) do Inc(j);
          Write(fo, Copy(arg, j, Length(arg)));
        end;
      end;
    end
    else
      Write(fo, fmt[i]);
    Inc(i);
  end;
  CloseFile(fo);
  CloseFile(fi);
end.
